

/* 

window.courseware.getData(callback,key);  //用于获取数据
window.courseware.setData(data,callback,key);  //用于存储数据
var uploadUrl = window.courseware.uploadUrl();  //上传文件的路径
var uploadData = window.courseware.uploadData();  //上传文件必须要的参数 

*/

//对应模板的名称，这个可以不写，但是最好是能写上，同时开发多个模板的情况下如果不写这个，本地缓存可能会存在混乱
var key = "h5_test";

$(function(){ 
  window.courseware.getData(function(data){
    //数据加载完，才算页面加载完成
    //获取数据
    if(data&&data.test){
      $("[name='test']").val(data.test);
    }  

    //绑定点击事件
    $('#save').on('click',function(){
      var test = $("[name='test']").val(); 
      
      //保存新增或修改的数据
      window.courseware.setData({test: test},function(){
        //保存数据也是异步的
        alert("保存成功！");
      },key);  
      
    }) 
  },key); 
})